<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
  <meta charset="utf-8">
  <title>Transcription Buddy</title>

  <link rel="stylesheet" href="style.css" />

  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
  <script src="jquery.min.js" type="text/javascript"></script>
  <script src="save.js"></script>
  <script src="display.js"></script>
  <script src="audio-control.js"></script>

</head>

<body>

  <div id="page-content">

    <!-- title sction -->
    <div class="speaker-transcript">
      <h1>AWS Transcription Buddy</h1>
      <!-- <button type="button" name="button" class="toggle-speaker">Toggle</button> -->
    </div>

    <!-- input section -->
    Audio url:
    <input type="text" id="audioUrl" placeholder="Enter audio url">
    <button onclick="getAudioUrl()">Load audio</button>
    Transcript filename:
    <input type="text" id="user-filename" value="transcript.json">
    <button onclick="displayTranscript()">Load Transcript</button>
    <br>

    <!-- audio control section -->
    <div class="audio-box">
      <audio id="audio" controls>
      <source src="" type="audio/mpeg">
    Your browser does not support the audio element.
    </audio>
    </div>

    <!-- copy to clipboard button -->
    <button class="copy-btn" onClick="CopyToClipboard('content')">Copy to clipboard</button>
    <br><br>

    <!-- transcript section -->
    <div id="content" contenteditable="true">
      <div class="speaker">
      </div>
    </div>

  </div>

</body>

</html>
